#!/usr/bin/env python

# epsutil v0.2: graphical Epson ink printer toolbox based on escputil
#
# Copyright 2002-2003 Hans-Peter Jansen <hpj@urpla.net>
#
# This program is placed under the GNU General Public License V.2

import sys, os
from qt import *

from form1 import Form1

def loadTrans(dirs, t):
    trans = QTranslator(None)
    for dir in dirs:
        loaded = trans.load(t, dir)
        if loaded:
            return trans
    return None

if __name__ == "__main__":
    app = QApplication(sys.argv)
    # prepare translation
    curdir = os.path.dirname(sys.argv[0])
    if not curdir:
        curdir = '.'
    # check current locale
    loc = str(QTextCodec.locale())
    if loc != "C":
         # setup the searchpath for qt
        dirs = [curdir, "."]
        qtdir = os.getenv("QTDIR")
        if qtdir is not None:
            dirs.insert(-1, os.path.join(qtdir, "translations"))
            
        qtTrans = loadTrans(dirs, "qt_" + loc)
        if qtTrans:
            app.installTranslator(qtTrans)
       
        myTrans = loadTrans(dirs, "main_" + loc)
        if myTrans:
            app.installTranslator(myTrans)
    
    QObject.connect(app,SIGNAL("lastWindowClosed()"),app,SLOT("quit()"))
    win = Form1()
    app.setMainWidget(win)
    win.show()
    sys.exit(app.exec_loop())

